using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping.Common;
using Syncfusion.Web.UI.WebControls.Shared;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Grouping;
public partial class TestArrayBinding : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ArrayList array = new ArrayList();
            array.Add(new MyClass(001, "John David", "UK",23456.67,234));
            array.Add(new MyClass(002, "Tom", "USA", 45632.345, 123));
            array.Add(new MyClass(003, "Bretney", "USA",65432.321,678));
            array.Add(new MyClass(004, "Jessy", "UK",12535.678,983));
            array.Add(new MyClass(005, "Bruch", "USA",63214.890,168));
            array.Add(new MyClass(006, "Johny", "USA",87655.543,178));
            this.GridGroupingControl1.DataSource = array;
            this.GridGroupingControl1.AutoFormat = "Office 2003 Olive";
            this.GridGroupingControl1.DataSourceCachingMode=DataSourceCachingMode.ViewState;

            // This is another summary row, not marked hidden and therefore shown at the end of the group.
            GridSummaryColumnDescriptor summaryColumn2 = new GridSummaryColumnDescriptor("PayAvg", SummaryType.DoubleAggregate, "GrossPay", "{Average:$###.00}");
            GridSummaryRowDescriptor summaryRow2 = new GridSummaryRowDescriptor();

            summaryRow2.Name = "PayAverage:";
            summaryRow2.Visible = true;
            summaryRow2.SummaryColumns.Add(summaryColumn2);
            this.GridGroupingControl1.TableDescriptor.SummaryRows.Add(summaryRow2);


        }
        if (!CheckBox1.Checked)
            ScriptManager1.RegisterPostBackControl(GridGroupingControl1);
        this.GridGroupingControl1.CurrentRecordContextChange += new CurrentRecordContextChangeEventHandler(GridGroupingControl1_CurrentRecordContextChange);
       

    }

    void GridGroupingControl1_CurrentRecordContextChange(object sender, CurrentRecordContextChangeEventArgs e)
    {
        
    }
    [Serializable]
    public class MyClass
    {
        int id;
        string name;
        string city;
        double sal;
        double ded;

        public MyClass(int id, string name, string city, double sal,double ded)
        {
            this.ID = id;
            this.Name = name;
            this.City = city;
            this.sal = sal;
            this.ded = ded;
        }

        public int ID
        {
            get { return id; }
            set { id = value; }
        }

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        public string City
        {
            get { return city; }
            set { city = value; }
        }
        public double Salary
        {
            get { return sal; }
            set { sal = value; }
        }
        public double Deduction
        {
            get { return ded; }
            set { ded = value; }
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        ArrayList array = new ArrayList();
        array.Add(new MyClass(011, "John David", "UK", 23456.67, 234));
        array.Add(new MyClass(022, "Tom", "USA", 45232.345, 123));
        array.Add(new MyClass(033, "Bretney", "USA", 34432.321, 678));
        array.Add(new MyClass(044, "Jessy", "UK", 22535.678, 983));
        array.Add(new MyClass(055, "Bruch", "USA", 73214.890, 168));
        array.Add(new MyClass(066, "Johny", "USA", 97655.543, 178));
        this.GridGroupingControl1.DataSource = array;

    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        ArrayList array = new ArrayList();
        this.GridGroupingControl1.DataSource = array;
    }
}
